%define major		2
%define libxft 		%mklibname xft %{major}
%define develname	%mklibname -d xft

Name:		libxft
Summary:	X FreeType library
Version:	2.3.1
Release:	%mkrel 4
Group:		Development/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXft-%{version}.tar.bz2
# (fwang) Patch from MagicLinux, enable embedded bitmap option in Xft
# (pzanoni): disabled as the 2.1.14 release seems to integrate part of it in a
# different way
#Patch1: libXft-2.1.8-add-embeddedbitmap-and-gamma-option.patch

BuildRequires:	libfontconfig-devel >= 2.3.93
BuildRequires:	libxau-devel >= 1.0.0
BuildRequires:	libxrender-devel >= 0.9.0.2
BuildRequires:	x11-util-macros >= 1.0.1

%description
X FreeType library.

#-----------------------------------------------------------

%package -n	%{libxft}
Summary:	X FreeType library
Group:		Development/X11
Provides:	%{name} = %{version}

%description -n %{libxft}
X FreeType library.

%files -n %{libxft}
%{_libdir}/libXft.so.%{major}
%{_libdir}/libXft.so.%{version}

#-----------------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libxft} = %{version}
Provides:	xft2-devel = %{version}-%{release}
Provides:	libxft-devel = %{version}-%{release}
Obsoletes:	%{mklibname -s -d xft} < 2.2.0-2

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/libXft.so
%{_libdir}/pkgconfig/xft.pc
%{_includedir}/X11/Xft/Xft.h
%{_includedir}/X11/Xft/XftCompat.h
%{_mandir}/man3/Xft.*

#-----------------------------------------------------------

%prep
%setup -q -n libXft-%{version}
#%patch1 -p0 -b .embeddedbitmap

%build
%configure2_5x	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.3.1-4.mga4
+ Revision: 522162
- Mageia 4 Mass Rebuild

* Fri Feb 08 2013 luigiwalser <luigiwalser> 2.3.1-3.mga3
+ Revision: 397158
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 2.3.1-2.mga3
+ Revision: 358583
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 06 2012 tv <tv> 2.3.1-1.mga3
+ Revision: 256265
- new release

* Fri Mar 09 2012 tv <tv> 2.3.0-1.mga2
+ Revision: 222149
- new release

* Sun Oct 09 2011 wally <wally> 2.2.0-2.mga2
+ Revision: 153565
- disable static build and get rid of .la files
- clean .spec and drop some old obsoletes/conflicts

* Fri Jan 14 2011 rtp <rtp> 2.2.0-1.mga1
+ Revision: 17922
- Drop ldconfig scripts
- imported package libxft


* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 2.2.0-1mdv2011.0
+ Revision: 591839
- xft-config is dead
- drop merged patch 1
- new release

* Mon Nov 09 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.1.14-1mdv2010.1
+ Revision: 463711
- Fix spec, update patches

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.1.13-3mdv2010.0
+ Revision: 425925
- rebuild

* Fri Nov 07 2008 Olivier Blin <oblin@mandriva.com> 2.1.13-2mdv2009.1
+ Revision: 300407
- rebuild for new xcb

* Wed Jul 16 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 2.1.13-1mdv2009.0
+ Revision: 236612
- Update to version 2.1.13

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.1.12-5mdv2009.0
+ Revision: 223075
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.1.12-4mdv2008.1
+ Revision: 153315
- Update BuildRequires and rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 2.1.12-3mdv2008.1
+ Revision: 150855
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Funda Wang <fwang@mandriva.org> 2.1.12-2mdv2008.0
+ Revision: 75051
- Fix wrong rel
- introduce magiclinux's patch so that applications based on libxft could
  use embedded bitmap font too

  + Thierry Vignaud <tv@mandriva.org>
    - do not harcode man page extension


* Thu Dec 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.1.12-1mdv2007.0
+ Revision: 97063
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix some multiarch files
    - new upstream release (2.1.20):
      * Move XftNameUnparse to the public API
    - new upstream version (2.1.9):
      * Don't export unnecessary symbols.
    - rebuild to fix cooker uploading
    - added missing provides
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Anssi Hannula <anssi@mandriva.org>
    - mark xft-config as multiarch

  + Frederic Crozat <fcrozat@mandriva.com>
    - Move ldconfig call to correct package
    - Patch0: fix crash with rxvt-unicode
    - Patch1: enable artificial embolding

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

